import { Component, Output, EventEmitter, Input } from '@angular/core';
 
@Component({
  selector: 'points',
  templateUrl: './points.component.html',
  styleUrls: ['./points.component.sass']
})
export class PointsComponent {

    @Input() amount: number;

    @Output() changeEvent = new EventEmitter<number>();

    change() {
        this.changeEvent.emit(this.amount);
    }

    isPositive() {
        return this.amount > 0;
    }
}